## x52pro 0.1.1

=== Makefile ===
CFLAGS=-Wall -g -I.
LDFLAGS=-g

X52LIB=libx52pro.so.0.1.1

all: $(X52LIB) x52output x52output.1.gz

$(X52LIB): x52pro.c
	${CC} $< ${CFLAGS} -shared -Wl,-soname,libx52pro.so.0 -fPIC -D_REENTRANT -L. -lusb -o $@

clean:
	-rm *.so* *.o x52output x52output.1.gz

install:
	install -D -m 644 x52pro.h $(DESTDIR)/usr/include/x52pro.h
	install -D -m 644 $(X52LIB) $(DESTDIR)/usr/lib/$(X52LIB)
	ln -sf $(X52LIB) $(DESTDIR)/usr/lib/libx52pro.so.0
	ln -sf libx52pro.so.0 $(DESTDIR)/usr/lib/libx52pro.so
	install -D -m 644 x52output.c $(DESTDIR)/usr/share/doc/libx52pro0/examples/x52output.c
	install -D x52output $(DESTDIR)/usr/bin/x52output
	install -D -m 644 99-x52pro.rules $(DESTDIR)/etc/udev/rules.d/99-x52pro.rules
	install -D -m 644 x52output.1.gz $(DESTDIR)/usr/share/man/man1/x52output.1.gz

x52output: x52output.o $(X52LIB) -lusb
x52output.1.gz: x52output.1
	gzip -c $< >$@

=== debian/changelog ===
x52pro (0.1.1-2.3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Apr 2015 18:20:59 +0200

x52pro (0.1.1-2.3~exp) experimental; urgency=medium

  * Non-maintainer upload.
  * Reinstate package content except for the maintainer scripts.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Jan 2015 02:12:33 +0100

x52pro (0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update udev rules, thanks to Alex Volkov.  (Closes: #734067)
  * Turn libx52pro-dev and libx52pro0 into empty dummy packages to ensure
    smooth upgrades from wheezy. The wheezy packages used 'udevadm trigger' in
    a no longer supported way that prevented removal of the packages after an
    distupgrade to jessie.  (Closes: #767675, #773147, #708274)
  * The package content may be reinstated after the jessie release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 18 Dec 2014 12:12:21 +0100

x52pro (0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the calls to udevadm in the maintainer scripts conditional on the
    existence of udevadm (Closes: #640595)
  * Set urgency to medium due to rc bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 02 Dec 2011 18:33:14 +0100

x52pro (0.1.1-2) unstable; urgency=low

  * Change Standards-Version to 3.9.2

 -- Grzegorz Kolorz <gkolorz@gmail.com>  Wed, 18 May 2011 16:34:53 +0200

x52pro (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #626266)
  * Add pkg-config support

 -- Grzegorz Kolorz <gkolorz@gmail.com>  Tue, 10 May 2011 14:39:51 +0200

=== debian/control ===
Source: x52pro
Priority: extra
Maintainer: Grzegorz Kolorz <gkolorz@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libusb-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://plasma.hasenleithner.at/x52pro/

Package: libx52pro-dev
Section: libdevel
Architecture: any
Depends: libx52pro0 (= ${binary:Version}), ${misc:Depends}
Description: MFD and LED library for Saitek X52pro joysticks - dev files
 libx52pro is a library designed to support Saitek X52 and X52pro HOTAS
 joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x
 .
 This package contains development files.

Package: libx52pro0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MFD and LED library for  Saitek x52pro joysticks
 libx52pro is a library designed to support MFD and LED found on 
 Saitek X52  and X52pro joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x.
 .
 This package also includes x52output utility, that can be used for 
 scripting purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_installudev:
	dh_installudev --name=x52pro --priority=99

=== debian/watch ===
version=3
http://plasma.hasenleithner.at/x52pro/x52pro-(.*)\.tar\.gz

## x52pro 0.2.0

=== Makefile ===
.PHONY: all doxygen clean

# defaults
CC ?= gcc
CPPFLAGS ?= -Wdate-time -D_FORTIFY_SOURCE=2
CFLAGS ?= -Wall -Wextra -Wpedantic -fstack-protector-strong -Wformat -Werror=format-security -std=c99 -g -O0
LDFLAGS ?= -g -Wl,-z,relro
INSTALL ?= install

# package specific flags
USBINC := $(shell pkg-config --cflags libusb-1.0)
USBLIB := $(shell pkg-config --libs libusb-1.0)
VERSION := 0.2.0
X52LIB := libx52pro.so.$(VERSION)

INSTALL_DATA := $(INSTALL) -m644
LIBDST := $(DESTDIR)/usr/lib

all: $(X52LIB) x52output x52output.1.gz

$(X52LIB): x52pro.o
	$(CC) $< $(LDFLAGS) -shared -Wl,-soname,libx52pro.so.0 $(USBLIB) -o $@

x52pro.o_CFLAGS := $(USBINC) -fPIC -D_REENTRANT
x52output.o_CFLAGS := -I.

%.o: %.c
	$(CC) ${CPPFLAGS} $(CFLAGS) $($@_CFLAGS) -c -o $@ $<

clean:
	-$(RM) *.so* *.o x52output x52output.1.gz
	-$(RM) -R build

install:
	$(INSTALL_DATA) -D x52pro.h $(DESTDIR)/usr/include/x52pro.h
	$(INSTALL_DATA) -D $(X52LIB) $(LIBDST)/$(X52LIB)
	ln -sf $(X52LIB) $(LIBDST)/libx52pro.so.0
	ln -sf libx52pro.so.0 $(LIBDST)/libx52pro.so
	$(INSTALL_DATA) -D x52pro.pc $(LIBDST)/pkgconfig/x52pro.pc
	$(INSTALL_DATA) -D x52output.c $(DESTDIR)/usr/share/doc/libx52pro0/examples/x52output.c
	$(INSTALL_DATA) -D x52output.1.gz $(DESTDIR)/usr/share/man/man1/x52output.1.gz
	$(INSTALL) -D x52output $(DESTDIR)/usr/bin/x52output
	$(INSTALL_DATA) -D 60-x52pro.rules $(DESTDIR)/lib/udev/rules.d/60-x52pro.rules
	$(INSTALL_DATA) -D at.hasenleithner.plasma.x52pro.metainfo.xml $(DESTDIR)/usr/share/metainfo/at.hasenleithner.plasma.x52pro.metainfo.xml

x52output: x52output.o $(X52LIB)
x52output.1.gz: x52output.1
	gzip -c $< >$@

doxygen:
	doxygen

# Create symbolic link for local testing
libx52pro.so.0: $(X52LIB)
	ln -s $< $@

=== debian/changelog ===
x52pro (0.2.0-2) unstable; urgency=medium

  * QA upload.

  * Added missing pkgconf build dependency.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Jan 2025 10:05:54 +0100

x52pro (0.2.0-1) unstable; urgency=medium

  * QA upload.

  * Updated d/watch to point to new github repository.
  * New upstream version 0.2.0 (Closes: #1030477).
    - Now uses libusb 1.0 (Closes: #810466).
    - Dropped upstreamed patches.
    - Added 1000-multiarch-path.patch to adjust install path.
    - Adjusted udev install rule to use new upstream priority 60.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 02 Jan 2025 08:16:53 +0100

x52pro (0.1.1-8) unstable; urgency=medium

  * QA upload.

  * Added forgotten Appstream metadata XML file to libx52pro0.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 Dec 2024 21:59:04 +0100

x52pro (0.1.1-7) unstable; urgency=medium

  * QA upload.

  * Introduce patch naming structure.
  * Added homepage link to Appstream metadata XML file.
  * Converted Appstream metadata XML to upstream patch.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 Dec 2024 19:10:52 +0100

x52pro (0.1.1-6) unstable; urgency=medium

  * QA upload.

  * Switch upstream URL to the new github location.
  * Updated patch metadata.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 19 Oct 2024 16:29:29 +0200

x52pro (0.1.1-5) unstable; urgency=medium

  * QA upload.

  * Adjusted build to install pkg-config in multiarch compatible location.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 22 May 2024 05:32:45 +0200

x52pro (0.1.1-4) unstable; urgency=medium

  * QA upload.

  * Install udev rules only once (Closes: #1071008).
  * Enabled build hardening, added 1000-hardening.patch.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 16 May 2024 08:31:20 +0200

x52pro (0.1.1-3) unstable; urgency=medium

  * QA upload.

  * Orphan package.
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 7 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Added Appstream metainfo XML to announce supported
    USB dongles (Closes: #1070913).
  * Updated packaging for debhelper level 13.
  * Trimmed redundant space in package description.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 12 May 2024 10:39:38 +0200

=== debian/control ===
Source: x52pro
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libusb-1.0-0-dev,
               pkgconf,
Standards-Version: 4.7.0
Section: libs
Homepage: https://github.com/seesturm/x52lib/
Vcs-Browser: https://salsa.debian.org/debian/x52pro
Vcs-Git: https://salsa.debian.org/debian/x52pro.git

Package: libx52pro-dev
Section: libdevel
Architecture: any
Depends: libx52pro0 (= ${binary:Version}),
         ${misc:Depends},
Description: MFD and LED library for Saitek X52pro joysticks - dev files
 libx52pro is a library designed to support Saitek X52 and X52pro HOTAS
 joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x
 .
 This package contains development files.

Package: libx52pro0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: MFD and LED library for Saitek x52pro joysticks
 libx52pro is a library designed to support MFD and LED found on
 Saitek X52  and X52pro joystick.
 Library does not deal with the HID part of the joystick since this
 feature is already fully supported by the Linux kernel 2.6.x.
 .
 This package also includes x52output utility, that can be used for
 scripting purposes.

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
-	dh $@ 
+	dh $@
 
 override_dh_installudev:
-	dh_installudev --name=x52pro --priority=99
-
+	dh_installudev --name=x52pro --priority=60

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/x52pro-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/seesturm/x52lib/tags .*/v?(\d\S*)\.tar\.gz
